cryptol-3.0.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe
Language | Haskell2010

Cryptol.TypeCheck.FFI

Description

Checking and conversion of `Type`s to `FFIType`s.

Synopsis

- toFFIFunType :: Schema -> Either FFITypeError ([Prop], FFIFunType)

# Documentation

toFFIFunType :: Schema -> Either FFITypeError ([Prop], FFIFunType) Source #

Convert a `Schema` to a `FFIFunType`, along with any `Prop`s that must be satisfied for the `FFIFunType` to be valid.